Bug 696997 - dracut: Failed to install /etc/ld.so.conf.d/*
dracut: Failed to install /etc/ld.so.conf.d/*
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
15
s390x Linux
high Severity high
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2011-04-15 10:41 EDT by Jan Stodola
Modified: 2011-04-24 00:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: dracut-009-6.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-24 00:09:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dracut --debug /boot/some_file `uname -r` (191.65 KB, application/x-gzip)
2011-04-15 10:41 EDT, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2011-04-15 10:41:48 EDT
Created attachment 492398 [details]
dracut --debug /boot/some_file `uname -r`

Description of problem:
dracut-009-5.fc15.noarch fails to create initramfs on s390x at the end of the installation:

-bash-4.2# cat /mnt/sysimage/root/install.log
...
Installing system-config-firewall-base-1.2.29-2.fc15.noarch
Installing rootfiles-8.1-7.fc15.noarch
W: Skipping program less as it cannot be found and is flagged to be optional
F: Failed to install /etc/ld.so.conf.d/*
mkinitrd failed
warning: %posttrans(kernel-2.6.38.2-9.fc15.s390x) scriptlet failed, exit status 1
*** FINISHED INSTALLING PACKAGES ***


Running dracut in chrooted environment manually:

-bash-4.2# chroot /mnt/sysimage/ /bin/sh
sh-4.2# rpm -q dracut
dracut-009-5.fc15.noarch
sh-4.2# dracut /boot/some_file `uname -r`
W: Skipping program less as it cannot be found and is flagged to be optional
F: Failed to install /etc/ld.so.conf.d/*
sh-4.2# ls -l /etc/ld.so.conf.d/
total 0

Gzipped debug log is attached.


Version-Release number of selected component (if applicable):
dracut-009-5.fc15.noarch

How reproducible:
always

Steps to Reproduce:
1. run installation of F15 on s390x
2. install minimal package set
3. check install.log for errors
  
Actual results:
initramfs is not built

Expected results:
initramfs is built
Comment 1 Dan Horák 2011-04-15 11:03:10 EDT
And if I remember correctly previous F-15 images/installations that used dracut-008 were able to create the initramfs.
Comment 2 Dan Horák 2011-04-15 11:19:01 EDT
I think 76353076c081ac51647214c5ce910aba027b25db commit is required.
Comment 3 Harald Hoyer 2011-04-18 03:50:20 EDT
(In reply to comment #2)
> I think 76353076c081ac51647214c5ce910aba027b25db commit is required.

correct!
Comment 4 Fedora Update System 2011-04-18 04:07:07 EDT
dracut-009-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/dracut-009-6.fc15
Comment 5 Fedora Update System 2011-04-19 22:44:33 EDT
Package dracut-009-6.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dracut-009-6.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/dracut-009-6.fc15
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2011-04-24 00:09:40 EDT
dracut-009-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.